Activar mi sello público verificable Qscore
curl --request POST \
--url https://api.qbank.cl/platform/v1/qscore/my-seal \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qbank.cl/platform/v1/qscore/my-seal"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qbank.cl/platform/v1/qscore/my-seal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/v1/qscore/my-seal",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/v1/qscore/my-seal"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qbank.cl/platform/v1/qscore/my-seal")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/v1/qscore/my-seal")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"seal": {
"id": "becb6a82-3f52-4d7a-9c2f-8a1d4e5f6a70",
"status": "active",
"verify_code": "SA710B276F30387B2A96BF2BBF7632D138e23224b7d36b7b064a35f958b6b230a2",
"verify_url": "https://api.qbank.cl/platform/verify/qscore/seal/SA710B276F30387B2A96BF2BBF7632D138e23224b7d36b7b064a35f958b6b230a2",
"badge_url": "https://api.qbank.cl/platform/verify/qscore/seal/SA710B276F30387B2A96BF2BBF7632D138e23224b7d36b7b064a35f958b6b230a2/badge.svg",
"created_at": "2026-08-09T15:04:22Z"
},
"subject_id": "c9558a4b-374f-4599-b638-c93ec5489e84",
"eligibility": {
"eligible": true,
"band": "A",
"score": 845,
"evaluated_at": "2026-08-07"
},
"idempotency_hit": true
}
Activar mi sello público verificable Qscore
Activa el sello público Qscore de la cuenta empresa autenticada. Elegibilidad (evaluada en vivo): banda A o B con una evaluación de no más de 90 días — seal_not_eligible en caso contrario; el producto es solo para empresas (seal_companies_only en cuentas persona). No requiere body y es idempotente por diseño: activar cuando el sello ya está activo responde 200 con el sello vigente y idempotency_hit: true — jamás se crea un duplicado. Se envía un email de aviso de activación al titular (branding de la org).
POST
/
v1
/
qscore
/
my-seal
Activar mi sello público verificable Qscore
curl --request POST \
--url https://api.qbank.cl/platform/v1/qscore/my-seal \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qbank.cl/platform/v1/qscore/my-seal"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qbank.cl/platform/v1/qscore/my-seal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/v1/qscore/my-seal",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/v1/qscore/my-seal"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qbank.cl/platform/v1/qscore/my-seal")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/v1/qscore/my-seal")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"seal": {
"id": "becb6a82-3f52-4d7a-9c2f-8a1d4e5f6a70",
"status": "active",
"verify_code": "SA710B276F30387B2A96BF2BBF7632D138e23224b7d36b7b064a35f958b6b230a2",
"verify_url": "https://api.qbank.cl/platform/verify/qscore/seal/SA710B276F30387B2A96BF2BBF7632D138e23224b7d36b7b064a35f958b6b230a2",
"badge_url": "https://api.qbank.cl/platform/verify/qscore/seal/SA710B276F30387B2A96BF2BBF7632D138e23224b7d36b7b064a35f958b6b230a2/badge.svg",
"created_at": "2026-08-09T15:04:22Z"
},
"subject_id": "c9558a4b-374f-4599-b638-c93ec5489e84",
"eligibility": {
"eligible": true,
"band": "A",
"score": 845,
"evaluated_at": "2026-08-07"
},
"idempotency_hit": true
}
Autorizaciones
JWT de sesión (de register/login) o llave de API (pk_...).
X-API-Key: <token> se acepta como header alternativo.
Respuesta
El sello ya estaba activo (replay seguro).